### Method

# Clutter GridLayout insert_next_to

#### Declaration [src]

    void
    clutter_grid_layout_insert_next_to (
      ClutterGridLayout* layout,
      ClutterActor* sibling,
      ClutterGridPosition side
    )

#### Description [src]

Inserts a row or column at the specified position.

The new row or column is placed next to `sibling`, on the side determined by `side`. If `side` is `CLUTTER_GRID_POSITION_LEFT` or `CLUTTER_GRID_POSITION_BOTTOM`, a row is inserted. If `side` is `CLUTTER_GRID_POSITION_LEFT` of `CLUTTER_GRID_POSITION_RIGHT`, a column is inserted.

#### Parameters

`sibling`

  Type: `ClutterActor`

  The child of `layout` that the new row or column will be placed next to.

  The data is owned by the caller of the method.

`side`

  Type: `ClutterGridPosition`

  The side of `sibling` that `child` is positioned next to.